POST /import/shotgun/steps

Import Shotgun steps (task types). Send a list of Shotgun step entries in the JSON body. Returns created or updated task types with departments.

application/json

Body Required

  • id integer

    Shotgun ID of the step

  • code string

    Step code (used to extract department)

  • short_name string

    Step short name

  • color string

    Color in RGB format

  • entity_type string

    Entity type this step applies to

Responses

  • 200 application/json

    Task types imported successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Task type unique identifier

    • name string

      Task type name

    • short_name string

      Task type short name

    • color string

      Task type color in hex format

    • for_entity string

      Entity type

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Update timestamp

  • 400

    Invalid request body or data format error

POST /import/shotgun/steps
curl -X POST "http://api.example.com/import/shotgun/steps" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "id": 12345,
    "code": "Animation Modeling",
    "short_name": "mod",
    "color": "255,128,0",
    "entity_type": "Asset"
  }
]'
import requests

url = "http://api.example.com/import/shotgun/steps"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = [
    {
        "id": 12345,
        "code": "Animation Modeling",
        "short_name": "mod",
        "color": "255,128,0",
        "entity_type": "Asset"
    }
]

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/import/shotgun/steps' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '[{"id":12345,"code":"Animation Modeling","color":"255,128,0","short_name":"mod","entity_type":"Asset"}]'
Request example
[
  {
    "id": 12345,
    "code": "Animation Modeling",
    "color": "255,128,0",
    "short_name": "mod",
    "entity_type": "Asset"
  }
]
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Animation Modeling",
    "short_name": "mod",
    "color": "#FF8000",
    "for_entity": "Asset",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
]